Subject: Re: Problem compiling Perl Tk800.024
From: "Gerrit P. Haase" <[email-masked]>
To: "jon ewing" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 21 Feb 2003 08:47:35 +0100

Hallo Jon,

CC to cygwin-xfree at cygwin dot com

Am Freitag, 14. Februar 2003 um 11:48 schriebst du:

> Hello,

> Has anyone successfully built Perl Tk800.024 under cygwin? I'm using
> Cygwin 1.3.20-1, gcc 3.2 and Perl 5.6.1 (Cygwin Perl, not ActiveState)
> and Cygwin XFree86 4.2.0-1/2/3 (according to the Cygwin setup.exe, some
> Xfree packages are 4.2.0-1, some are 4.2.0-2 and some 4.2.0-3 - I'm
> using the latest packages that Setup offers). The documentation seems to
> imply that this is possible.

> I'm trying to build it to work with X, so am doing:

[...]

> cc1: warning:   as it has already been specified as a non-system
> directory

Theses are no errors.

[...]

> stubs.c:47: conflicting types for `XChangeProperty'
> /usr/X11R6/include/X11/Xlib.h:2337: previous declaration of
> `XChangeProperty'
> stubs.c: In function `XCreateGlyphCursor':
> stubs.c:68: argument `foreground_color' doesn't match prototype
> /usr/X11R6/include/X11/Xlib.h:1642: prototype declaration
> stubs.c:68: argument `background_color' doesn't match prototype
> /usr/X11R6/include/X11/Xlib.h:1642: prototype declaration
> stubs.c: In function `XCreateIC':
> stubs.c:74: number of arguments doesn't match prototype
> /usr/X11R6/include/X11/Xlib.h:4644: prototype declaration
> stubs.c: At top level:
> stubs.c:94: conflicting types for `XDeleteProperty'
> /usr/X11R6/include/X11/Xlib.h:2551: previous declaration of
> `XDeleteProperty'
> stubs.c:115: conflicting types for `XForceScreenSaver'
> /usr/X11R6/include/X11/Xlib.h:2898: previous declaration of
> `XForceScreenSaver'
> stubs.c:122: conflicting types for `XFreeCursor'
> /usr/X11R6/include/X11/Xlib.h:2928: previous declaration of
> `XFreeCursor'
> stubs.c:184: conflicting types for `XNextEvent'
> /usr/X11R6/include/X11/Xlib.h:3330: previous declaration of `XNextEvent'
> stubs.c:191: conflicting types for `XPutBackEvent'
> /usr/X11R6/include/X11/Xlib.h:3410: previous declaration of
> `XPutBackEvent'
> stubs.c:198: conflicting types for `XQueryColor'
> /usr/X11R6/include/X11/Xlib.h:3484: previous declaration of
> `XQueryColor'
> stubs.c:231: conflicting types for `XRefreshKeyboardMapping'
> /usr/X11R6/include/X11/Xlib.h:3618: previous declaration of
> `XRefreshKeyboardMapping'
> stubs.c:245: conflicting types for `XSelectInput'
> /usr/X11R6/include/X11/Xlib.h:3704: previous declaration of
> `XSelectInput'
> stubs.c:264: conflicting types for `XSetCommand'
> /usr/X11R6/include/X11/Xlib.h:3782: previous declaration of
> `XSetCommand'
> stubs.c:280: conflicting types for `XSetIconName'
> /usr/X11R6/include/X11/Xlib.h:3856: previous declaration of
> `XSetIconName'
> stubs.c:288: conflicting types for `XSetWindowBackground'
> /usr/X11R6/include/X11/Xlib.h:3970: previous declaration of
> `XSetWindowBackground'
> stubs.c:296: conflicting types for `XSetWindowBackgroundPixmap'
> /usr/X11R6/include/X11/Xlib.h:3978: previous declaration of
> `XSetWindowBackgroundPixmap'
> stubs.c:304: conflicting types for `XSetWindowBorder'
> /usr/X11R6/include/X11/Xlib.h:3986: previous declaration of
> `XSetWindowBorder'
> stubs.c:312: conflicting types for `XSetWindowBorderPixmap'
> /usr/X11R6/include/X11/Xlib.h:3994: previous declaration of
> `XSetWindowBorderPixmap'
> stubs.c:320: conflicting types for `XSetWindowBorderWidth'
> /usr/X11R6/include/X11/Xlib.h:4002: previous declaration of
> `XSetWindowBorderWidth'
> stubs.c:328: conflicting types for `XSetWindowColormap'
> /usr/X11R6/include/X11/Xlib.h:4010: previous declaration of
> `XSetWindowColormap'
> stubs.c:351: conflicting types for `XWindowEvent'
> /usr/X11R6/include/X11/Xlib.h:4236: previous declaration of
> `XWindowEvent'
> make[1]: *** [stubs.o] Error 1
> make[1]: Leaving directory `/home/jon/src/perlModules/Tk800.024/pTk'
> make: *** [pTk/libpTk.a] Error 2

Hmmm, I tried Tk800.23 without X, there were only minor problems,
does it compile without X?

> Any thoughts?

There are some declarations duplicated in stubs.c, try to comment
these.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/